Skip to main content
GET
/
odds
/
validation
Get a Merkle proof for a specific odds update
curl --request GET \
  --url https://api.example.com/odds/validation \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Api-Token: <api-key>'
{
  "odds": {
    "FixtureId": 123,
    "MessageId": "<string>",
    "Ts": 123,
    "Bookmaker": "<string>",
    "BookmakerId": 123,
    "SuperOddsType": "<string>",
    "InRunning": true,
    "GameState": "<string>",
    "MarketParameters": "<string>",
    "MarketPeriod": "<string>",
    "PriceNames": [
      "<string>"
    ],
    "Prices": [
      123
    ]
  },
  "summary": {
    "fixtureId": 123,
    "updateStats": {
      "updateCount": 123,
      "minTimestamp": 123,
      "maxTimestamp": 123
    },
    "oddsSubTreeRoot": "<string>"
  },
  "subTreeProof": {},
  "mainTreeProof": {}
}

Documentation Index

Fetch the complete documentation index at: https://txline-docs.txodds.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

User's session JWT.

X-Api-Token
string
header
required

The user's long-lived API token, obtained from the activation endpoint.

Headers

Authorization
string
required

Bearer token for the user's session JWT.

X-Api-Token
string
required

The user's long-lived API token.

Query Parameters

messageId
string
required

The unique message ID of the odds update to validate.

ts
integer<int64>
required

Timestamp of the odds message.

Response

odds
Odds · object
required
summary
OddsBatchSummary · object
required
subTreeProof
Nil · object
required
mainTreeProof
Nil · object
required